package com.yeejoin.amos.bank.dao.repository;

import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.yeejoin.amos.bank.TopographyNodeDetail;
import com.yeejoin.amos.op.core.jpa.IBaseRepository;

import java.util.List;
import java.util.Map;

@Repository("iTopographyNodeDetailDao")
public interface ITopographyNodeDetailRepository extends IBaseRepository<TopographyNodeDetail, String> {

	TopographyNodeDetail findByNodeid(String nodeid);

	@Query(value="SELECT\n" +
			"\tb.nodeid,b.node_detail,a.state,a.text,a.treeid \n" +
			"FROM\n" +
			"( SELECT id ,state ,text,treeid FROM b_topography_node WHERE text IN ( '1#温湿度', '2#温湿度', '3#温湿度', '4#温湿度', '1温湿度', '5温湿度', '消防监测', '漏水监测' ) ) AS a\n" +
			"\tLEFT JOIN b_topography_node_detail b ON a.id = b.nodeid",nativeQuery=true )

	List<Map<String,Object>>  HomePageDetail();

}
